{% include 'component/upper.html' %}
{% include 'component/navbar.html' %}

<div class="container mt-180">
    <h1 class="text-center">Edit Data Siswa</h1>
    <div class="row mt-5 justify-content-center">
        <div class="col-8">
            <form action="{{url_for('updaterow')}}" method="PUT">
                <div class="mb-3 row">
                    <input type="hidden" class="form-control" name="id" value="{{dataSiswa['id']}}">
                    <label class="col-sm-3 col-form-label fw-bold">Nama</label>
                    <div class="col-sm-9">
                      <input type="text" class="form-control" placeholder="nama siswa" name="nama" value="{{dataSiswa['nama']}}" required>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label  class="col-sm-3 col-form-label fw-bold">NISN</label>
                    <div class="col-sm-9">
                      <input type="text" class="form-control" placeholder="nisn siswa" name="nisn" value="{{dataSiswa['nisn']}}" required>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label fw-bold">Nomor Telepon</label>
                    <div class="col-sm-9">
                      <input type="number" class="form-control" placeholder="nomor telepon siswa" name="no_telp" value="{{dataSiswa['no_telp']}}" required>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label fw-bold">Jenis Kelamin</label>
                    <div class="col-sm-9">
                        {% if dataSiswa["jenis_kelamin"]=="Laki-laki" %}
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="jenis_kelamin" value="Laki-laki" checked>
                                <label class="form-check-label">
                                    Laki-laki
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="jenis_kelamin" value="Perempuan">
                                <label class="form-check-label">
                                    Perempuan
                                </label>
                            </div>
                        {% else %}
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="jenis_kelamin" value="Laki-laki">
                                <label class="form-check-label">
                                    Laki-laki
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="jenis_kelamin" value="Perempuan"checked>
                                <label class="form-check-label">
                                    Perempuan
                                </label>
                            </div>
                        {% endif %}
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label fw-bold">Alamat</label>
                    <div class="col-sm-9">
                      <textarea class="form-control" placeholder="alamat" name="alamat" required>{{dataSiswa['alamat']}}</textarea>
                    </div>
                </div>
                <div class="row text-center mt-5">
                    <div class="col-sm-12">
                        <button type="submit" class="btn btn-primary text-center ms-auto">Edit Data</button>
                    </div>
                </div>          
            </form>
        </div>
    </div>
</div>

{% include 'component/lower.html' %}